--here we'll define the item, recipe and entity for making trees transparent
local ent={
    type = "simple-entity",
    name = "tree-transparenter",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 0.5, result = "tree-transparenter"},
    icon = "__TransparentTrees__/pic/item.png",
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.4}, {0.4, 0.4}},
    drawing_box = {{-0.5, -2.3}, {0.5, 0.5}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    render_layer = "object",
    max_health =70,
    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },
    pictures =
    {{filename = "__TransparentTrees__/pic/entity.png",
        width = 155,
        height = 125,
        shift = {.65, -1.7}
    }}
  }
local item={
    type = "item",
    name = "tree-transparenter",
    icon = "__TransparentTrees__/pic/item.png",
    flags = {"goes-to-quickbar"},
    subgroup = "tool",order = "a[mining]-b[tree-spirit]",
    place_result = "tree-transparenter",
    stack_size = 10
  }
local recipe={
    type = "recipe",name = "tree-transparenter",enabled = true,
    ingredients ={},category='crafting',
    result ="tree-transparenter"
    }
--here we push them into game
data:extend({item,recipe,ent})
